SDL_clipboardevents.c File Reference
`#include "../SDL_internal.h"`
`#include "SDL_events.h"`
`#include "SDL_events_c.h"`
`#include "SDL_clipboardevents_c.h"`
Include dependency graph for SDL_clipboardevents.c:

Go to the source code of this file.

## Functions

int | SDL_SendClipboardUpdate (void)

## Function Documentation

## SDL_SendClipboardUpdate()

int SDL_SendClipboardUpdate | ( | void |  | ) |

Definition at line 31 of file SDL_clipboardevents.c.

References SDL_CLIPBOARDUPDATE, SDL_ENABLE, SDL_GetEventState, and SDL_PushEvent.

{
int posted;
/* Post the event, if desired */
posted = 0;
if (SDL_GetEventState(SDL_CLIPBOARDUPDATE) == SDL_ENABLE) {
SDL_Event event;
event.type = SDL_CLIPBOARDUPDATE;
posted = (SDL_PushEvent(&event) > 0);
}
return (posted);
}
SDL_ENABLE
#define SDL_ENABLE
Definition: SDL_events.h:722
SDL_GetEventState
#define SDL_GetEventState(type)
Definition: SDL_events.h:735
event
struct _cl_event * event
Definition: SDL_opengl_glext.h:2649
SDL_PushEvent
#define SDL_PushEvent
Definition: SDL_dynapi_overrides.h:125
SDL_Event
General event structure.
Definition: SDL_events.h:525
SDL_CLIPBOARDUPDATE
Definition: SDL_events.h:135